-- Update des tables PoshProfile
-- On met à jour les adresses du bureau, de l'ead et du gestionnaire de profile
\r poshprofile
SET character_set_client = utf8;

-- Extension des champs de type URL (#1400)
ALTER TABLE `thumb` CHANGE `url` `url` VARCHAR( 500 ) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'url de l application associée à  l onglet';
ALTER TABLE `desktopitem` CHANGE `url` `url` VARCHAR( 500 ) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'url de l application associée au bouton';
ALTER TABLE `desktopitem` CHANGE `icon` `icon` VARCHAR( 250 ) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'icone du bouton';

-- ------------------- --
-- Gestion des onglets --
-- ------------------- --

-- mise à jour de l'alias apache pour l'onglet desktop
UPDATE `thumb` SET `url`='%%alias_envole/includes/plugins/plugin_desktop/desktop.php' WHERE `name`='desktop';

-- mise à jour de l'onglet EAD
%if %%is_defined('activer_ead_web') and %%activer_ead_web == 'oui'
REPLACE INTO `thumb` (`thumbid`, `name`, `description`, `indice`, `poshtype`, `url`) VALUES
%if %%is_defined('activer_ead_reverseproxy') and %%activer_ead_reverseproxy == 'oui'
(3, 'ead2', 'E.A.D', 2, 2, 'https://%%web_url:%%port_ead_reverseproxy/connect/?server=1');
%else
(3, 'ead2', 'E.A.D', 2, 2, 'https://%%web_url:4200/connect/?server=1');
%end if
%else
DELETE FROM `thumb` WHERE `name`='ead2';
%end if

-- mise à jour de l'adresse pour admin-posh-profile
UPDATE `thumb` SET `url`='https://%%web_url:7070/' WHERE `name`='admin-profil';


-- --------------------------- --
-- Gestion des items du Bureau --
-- --------------------------- --

DROP PROCEDURE IF EXISTS InsertDesktopItem;
delimiter |
CREATE PROCEDURE InsertDesktopItem(_name VARCHAR( 32 ) , _libelle VARCHAR( 32 ), _url VARCHAR( 150 ), _icon VARCHAR(150))
begin
    INSERT INTO `desktopitem` (name, libelle, url, icon) VALUES (_name, _libelle, _url, _icon) ON DUPLICATE KEY UPDATE libelle=_libelle, url=_url, icon=_icon;
end|
delimiter ;

-- webmail (Mes e-mails)
CALL InsertDesktopItem('webmail', 'Mes<br />e-mails', '/webmail', '%%alias_envole/includes/plugins/plugin_desktop/icones/mail.png');

-- ajaxplorer (Mes dossiers)
%if %%is_defined('activer_proftpd') and %%activer_proftpd == 'oui'
%if %%is_defined('activer_ajaxplorer') and %%activer_ajaxplorer == 'oui'
CALL InsertDesktopItem('ajaxplorer', 'Mes<br />dossiers', '/ajaxplorer', '%%alias_envole/includes/plugins/plugin_desktop/icones/dir.png');
%end if
%end if

-- cdt (Cahier de texte)
%if %%is_defined('activer_cdt') and %%activer_cdt =='oui'
CALL InsertDesktopItem('cdt', 'Cahier<br />de texte', '/cdt', '%%alias_envole/includes/plugins/plugin_desktop/icones/cdt.png');
%end if

-- dokuwiki (Wiki)
%if %%is_defined('activer_dokuwiki') and %%activer_dokuwiki == 'oui'
CALL InsertDesktopItem('dokuwiki', 'Wiki', '/dokuwiki', '%%alias_envole/includes/plugins/plugin_desktop/icones/dokuwiki.png');
%end if

-- fluxbb (Forum)
%if %%is_defined('activer_fluxbb') and %%activer_fluxbb == 'oui'
CALL InsertDesktopItem('fluxbb', 'Forum', '/fluxbb', '%%alias_envole/includes/plugins/plugin_desktop/icones/fluxbb.png');
%end if

-- gepi (Gestion des notes)
%if %%is_defined('activer_gepi') and %%activer_gepi == 'oui'
CALL InsertDesktopItem('gepi', 'Gestion<br />des notes', '/gepi', '%%alias_envole/includes/plugins/plugin_desktop/icones/gepi.png');
%end if

-- gibii (B2i)
%if %%is_defined('activer_gibii') and %%activer_gibii == 'oui'
CALL InsertDesktopItem('gibii', 'B2i', '/gibii', '%%alias_envole/includes/plugins/plugin_desktop/icones/b2i.png');
%end if

-- grr (Gestion des ressources)
%if %%is_defined('activer_grr') and %%activer_grr == 'oui'
CALL InsertDesktopItem('grr', 'Gestion des<br />ressources', '/grr', '%%alias_envole/includes/plugins/plugin_desktop/icones/grr.png');
%end if

-- moodle (Cours en ligne)
%if %%is_defined('activer_moodle') and %%activer_moodle == 'oui'
CALL InsertDesktopItem('moodle', 'Cours<br />en ligne', '/moodle', '%%alias_envole/includes/plugins/plugin_desktop/icones/moodle.png');
%end if

-- spip (Site internet)
%if %%is_defined('activer_spip') and %%activer_spip == 'oui'
CALL InsertDesktopItem('spip', 'Site<br />internet', '/spip', '%%alias_envole/includes/plugins/plugin_desktop/icones/eva.png');
%end if

-- taskfreak (Gestion des tâches)
%if %%is_defined('activer_taskfreak') and %%activer_taskfreak == 'oui'
CALL InsertDesktopItem('taskfreak', 'Gestion des<br/>tâches', '/taskfreak', '%%alias_envole/includes/plugins/plugin_desktop/icones/taskfreak.png');
%end if

-- webcalendar (Calendrier)
%if %%is_defined('activer_webcalendar') and %%activer_webcalendar == 'oui'
CALL InsertDesktopItem('webcalendar', 'Calendrier', '/webcalendar', '%%alias_envole/includes/plugins/plugin_desktop/icones/calendar.png');
%end if

-- wordpress (Blog)
%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
CALL InsertDesktopItem('wordpress', 'Blog', '/wordpress', '%%alias_envole/includes/plugins/plugin_desktop/icones/wordpress.png');
%end if

drop PROCEDURE InsertDesktopItem;
